package com.securitycontrol.background.mapper;

import com.securitycontrol.entity.background.dto.VehicleDto;
import com.securitycontrol.entity.background.vo.VehicleVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 车辆管理
 */
@Repository(value = "VehicleMapper")
public interface VehicleMapper {
    /**
     * 获取
     */
    List<VehicleVo> getVehicleLists(VehicleVo dto);

    /**
     * 新增/修改
     */
    void addOrUpdateVehicle(VehicleVo vo);

    /**
     * 删除
     */
    void delVehicleById(VehicleVo dto);

    List<VehicleVo> getLists(VehicleVo dto);

    List<VehicleDto> getListsDto(VehicleDto dto);
}
